Bug 1498117 - mustang kernel panic with acpi=force on 4.13.3-300.fc27
Summary: mustang kernel panic with acpi=force on 4.13.3-300.fc27
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Iyappan Subramanian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2017-10-03 14:08 UTC by Paul Whalen
Modified: 2017-11-23 10:19 UTC (History)
24 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-23 10:19:47 UTC


Attachments (Terms of Use)
kernel-4.13.3-acpi (33.25 KB, text/plain)
2017-10-03 14:09 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2017-10-03 14:08:15 UTC
Description of problem:
Boot the Fedora 27 Beta with acpi=force, system kernel panics. 

Version-Release number of selected component (if applicable):
kernel-4.13.3-300.fc27.aarch64

How reproducible:
everytime

[    0.846698] ------------[ cut here ]------------
[    0.857389] WARNING: CPU: 0 PID: 12 at kernel/locking/lockdep.c:2897 lockdep_trace_alloc+0x98/0xe0
[    0.866792] Modules linked in:
[    0.870004] CPU: 0 PID: 12 Comm: cpuhp/0 Not tainted 4.13.3-300.fc27.aarch64 #1
[    0.877636] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.25 Oct 17 2016
[    0.887842] task: ffff8003eba9ce00 task.stack: ffff8003eba94000
[    0.894014] PC is at lockdep_trace_alloc+0x98/0xe0
[    0.899063] LR is at lockdep_trace_alloc+0x98/0xe0
[    0.904103] pc : [<ffff00000814bd78>] lr : [<ffff00000814bd78>] pstate: 604000c5
[    0.911933] sp : ffff8003eba97c10
[    0.915434] x29: ffff8003eba97c10 x28: ffff0000090efc20 
[    0.921020] x27: 000000000000000d x26: 00000000500f0000 
[    0.926571] x25: ffff0000090f1488 x24: 0000000000000230 
[    0.932175] x23: ffff0000090f2000 x22: ffff0000088e8f94 
[    0.937795] x21: ffff8003fa9df600 x20: 00000000014080c0 
[    0.943389] x19: 00000000000000c0 x18: 0000000000000000 
[    0.948975] x17: 000000000000002c x16: 0000000000000000 
[    0.954517] x15: ffffffffffffffff x14: ffff80046b9efbef 
[    0.960103] x13: ffff8003eb9efbf5 x12: 0000000000000001 
[    0.965663] x11: ffff0000092fdb58 x10: 0000000000002300 
[    0.971231] x9 : ffff8003eba97d50 x8 : 0000000000000001 
[    0.976765] x7 : ffff8003eba9ce00 x6 : ffff0000081609b4 
[    0.982351] x5 : 0000000000000000 x4 : 0000000000000000 
[    0.987936] x3 : ffffffffffffffff x2 : 0000000000000000 
[    0.993495] x1 : ffff8003eba9ce00 x0 : 000000000000002f 
[    0.998995] Call trace:
[    1.001564] Exception stack(0xffff8003eba97a30 to 0xffff8003eba97b60)
[    1.008263] 7a20:                                   00000000000000c0 0001000000000000
[    1.016492] 7a40: 00000040023e5000 ffff00000814bd78 00000000604000c5 000000000000003d
[    1.024729] 7a60: ffff0000090f1488 00000000500f0000 000000000000000d ffff0000090efc20
[    1.032897] 7a80: 000000000000001d 0000000000000000 ffff8003eba97c10 ffff8003eba97c10
[    1.041100] 7aa0: ffff8003eba97bd0 00000000ffffffc8 ffff8003eba97af0 ffff00000816296c
[    1.049259] 7ac0: ffff000008d6be00 ffff8003eba97b90 ffff8003eba97c10 ffff8003eba97c10
[    1.057478] 7ae0: 000000000000002f ffff8003eba9ce00 0000000000000000 ffffffffffffffff
[    1.065629] 7b00: 0000000000000000 0000000000000000 ffff0000081609b4 ffff8003eba9ce00
[    1.073840] 7b20: 0000000000000001 ffff8003eba97d50 0000000000002300 ffff0000092fdb58
[    1.082068] 7b40: 0000000000000001 ffff8003eb9efbf5 ffff80046b9efbef ffffffffffffffff
[    1.090254] [<ffff00000814bd78>] lockdep_trace_alloc+0x98/0xe0
[    1.096323] [<ffff0000082e2c74>] kmem_cache_alloc_trace+0x44/0x430
[    1.102825] [<ffff0000088e8f94>] armpmu_alloc+0x2c/0x1c0
[    1.108392] [<ffff0000088e997c>] arm_pmu_acpi_cpu_starting+0xfc/0x1b0
[    1.115127] [<ffff0000080da580>] cpuhp_invoke_callback+0xf0/0xcc0
[    1.121507] [<ffff0000080dc0e4>] cpuhp_thread_fun+0x134/0x190
[    1.127481] [<ffff00000810bdc4>] smpboot_thread_fn+0x16c/0x258
[    1.133594] [<ffff000008105fd8>] kthread+0x138/0x140
[    1.138799] [<ffff000008083590>] ret_from_fork+0x10/0x40
[    1.144324] ---[ end trace 5676e0702151c1d3 ]---
[    1.149200] BUG: sleeping function called from invalid context at mm/slab.h:416
[    1.156833] in_atomic(): 0, irqs_disabled(): 128, pid: 12, name: cpuhp/0
[    1.163877] INFO: lockdep is turned off.
[    1.167993] irq event stamp: 28
[    1.171273] hardirqs last  enabled at (27): [<ffff000008ab2140>] _raw_spin_unlock_irq+0x38/0x58
[    1.180341] hardirqs last disabled at (28): [<ffff0000080dc0d0>] cpuhp_thread_fun+0x120/0x190
[    1.189287] softirqs last  enabled at (0): [<ffff0000080d6d44>] copy_process.isra.6.part.7+0x3f4/0x1848
[    1.199132] softirqs last disabled at (0): [<          (null)>]           (null)
[    1.206860] CPU: 0 PID: 12 Comm: cpuhp/0 Tainted: G        W       4.13.3-300.fc27.aarch64 #1
[    1.215831] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.25 Oct 17 2016
[    1.226020] Call trace:
[    1.228599] [<ffff00000808aa20>] dump_backtrace+0x0/0x228
[    1.234271] [<ffff00000808acbc>] show_stack+0x24/0x30
[    1.239538] [<ffff000008a96308>] dump_stack+0xb0/0xe8
[    1.244820] [<ffff000008110758>] ___might_sleep+0x160/0x238
[    1.250638] [<ffff000008110888>] __might_sleep+0x58/0x90
[    1.256171] [<ffff0000082e2f1c>] kmem_cache_alloc_trace+0x2ec/0x430
[    1.262749] [<ffff0000088e8f94>] armpmu_alloc+0x2c/0x1c0
[    1.268256] [<ffff0000088e997c>] arm_pmu_acpi_cpu_starting+0xfc/0x1b0
[    1.274990] [<ffff0000080da580>] cpuhp_invoke_callback+0xf0/0xcc0
[    1.281440] [<ffff0000080dc0e4>] cpuhp_thread_fun+0x134/0x190
[    1.287440] [<ffff00000810bdc4>] smpboot_thread_fn+0x16c/0x258
[    1.293500] [<ffff000008105fd8>] kthread+0x138/0x140
[    1.298627] [<ffff000008083590>] ret_from_fork+0x10/0x40
[    1.304685] NetLabel: Initializing
[    1.308234] NetLabel:  domain hash size = 128
[    1.312782] NetLabel:  protocols = UNLABELED CIPSOv4 CALIPSO
[    1.318788] NetLabel:  unlabeled traffic allowed by default
[    1.325761] DMA-API: preallocated 4096 debug entries
[    1.330984] DMA-API: debugging enabled by kernel config
[    1.336482] clocksource: Switched to clocksource arch_sys_counter
[    1.387629] VFS: Disk quotas dquot_6.6.0
[    1.391808] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    1.399287] pnp: PnP ACPI init
[    1.403925] pnp: PnP ACPI: found 0 devices
[    1.413373] NET: Registered protocol family 2
[    1.418610] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    1.427260] TCP bind hash table entries: 65536 (order: 10, 4194304 bytes)
[    1.435625] TCP: Hash tables configured (established 131072 bind 65536)
[    1.442891] UDP hash table entries: 8192 (order: 8, 1310720 bytes)
[    1.449947] UDP-Lite hash table entries: 8192 (order: 8, 1310720 bytes)
[    1.457440] NET: Registered protocol family 1
[    1.462009] PCI: CLS 0 bytes, default 128
[    1.466381] Unpacking initramfs...
[    9.645587] Freeing initrd memory: 51464K
[    9.650327] hw perfevents: enabled with armv8_pmuv3_0 PMU driver, 5 counters available
[    9.658695] kvm [1]: 8-bit VMID
[    9.661974] kvm [1]: IDMAP page: 4000cb5000
[    9.666358] kvm [1]: HYP VA range: 800000000000:ffffffffffff
[    9.674349] kvm [1]: Hyp mode initialized successfully
[    9.679728] kvm [1]: vgic-v2@780cf000
[    9.683689] kvm [1]: vgic interrupt IRQ1
[    9.687791] kvm [1]: virtual timer IRQ3
[    9.692286] cryptomgr_test (78) used greatest stack depth: 14768 bytes left
[    9.699595] cryptomgr_test (81) used greatest stack depth: 13600 bytes left
[    9.707250] modprobe[88]: undefined instruction: pc=0000ffffb1b39444
[    9.713885] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.720344] modprobe (88) used greatest stack depth: 13520 bytes left
[    9.720673] modprobe[89]: undefined instruction: pc=0000ffffa1d73444
[    9.720677] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.721620] modprobe[93]: undefined instruction: pc=0000ffffa74ea444
[    9.721623] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.726838] modprobe[94]: undefined instruction: pc=0000ffffa13cd444
[    9.726841] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.737380] modprobe[98]: undefined instruction: pc=0000ffff98e84444
[    9.737384] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.779288] cryptomgr_test (86) used greatest stack depth: 12752 bytes left
[    9.779599] modprobe[99]: undefined instruction: pc=0000ffffa6f7b444
[    9.779603] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.799853] modprobe[103]: undefined instruction: pc=0000ffff95509444
[    9.806627] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.813355] modprobe[104]: undefined instruction: pc=0000ffff8beee444
[    9.820115] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[    9.827230] cryptomgr_test (102) used greatest stack depth: 12640 bytes left
[    9.828017] audit: initializing netlink subsys (disabled)
[    9.828425] Initialise system trusted keyrings
[    9.828457] Key type blacklist registered
[    9.828515] audit: type=2000 audit(9.231:1): state=initialized audit_enabled=0 res=1
[    9.828565] workingset: timestamp_bits=37 max_order=22 bucket_order=0
[    9.832551] zbud: loaded
[    9.834120] SELinux:  Registering netfilter hooks
[   10.188409] modprobe[135]: undefined instruction: pc=0000ffff84535444
[   10.195182] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[   10.201988] modprobe[136]: undefined instruction: pc=0000ffffb350a444
[   10.208703] Code: d503201f 8a180320 92750001 365ffc20 (d5380001) 
[   10.217563] NET: Registered protocol family 38
[   10.222222] Key type asymmetric registered
[   10.226501] Asymmetric key parser 'x509' registered
[   10.231739] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 249)
[   10.239594] io scheduler noop registered
[   10.243695] io scheduler deadline registered
[   10.248274] io scheduler cfq registered (default)
[   10.253186] io scheduler mq-deadline registered
[   10.258657] atomic64_test: passed
[   10.263325] xgene-gpio APMC0D14:00: X-Gene GPIO driver registered.
[   10.270323] pcieport 0000:00:00.0: AER enabled with IRQ 82
[   10.276103] pcieport 0000:00:00.0: Signaling PME with IRQ 82
[   10.283437] ghes_edac: This EDAC driver relies on BIOS to enumerate memory and get error reports.
[   10.292827] ghes_edac: Unfortunately, not all BIOSes reflect the memory layout correctly.
[   10.301374] ghes_edac: So, the end result of using this driver varies from vendor to vendor.
[   10.310188] ghes_edac: If you find incorrect reports, please contact your hardware vendor
[   10.318786] ghes_edac: to correct its BIOS.
[   10.323178] ghes_edac: This system has 2 DIMM sockets.
[   10.328830] EDAC MC0: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[   10.338944] EDAC MC1: Giving out device to module ghes_edac.c controller ghes_edac: DEV ghes (INTERRUPT)
[   10.348932] genirq: Flags mismatch irq 81. 00000004 (GHES IRQ) vs. 00000004 (GHES IRQ)
[   10.357267] CPU: 1 PID: 1 Comm: swapper/0 Tainted: G        W       4.13.3-300.fc27.aarch64 #1
[   10.366290] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.25 Oct 17 2016
[   10.376532] Call trace:
[   10.379089] [<ffff00000808aa20>] dump_backtrace+0x0/0x228
[   10.384710] [<ffff00000808acbc>] show_stack+0x24/0x30
[   10.390055] [<ffff000008a96308>] dump_stack+0xb0/0xe8
[   10.395340] [<ffff000008166958>] __setup_irq+0x680/0x698
[   10.400848] [<ffff000008166b28>] request_threaded_irq+0xf0/0x1b0
[   10.407065] [<ffff000008636750>] ghes_probe+0x228/0x4b8
[   10.412531] [<ffff0000086f7940>] platform_drv_probe+0x60/0xc0
[   10.418548] [<ffff0000086f4cbc>] driver_probe_device+0x31c/0x458
[   10.424859] [<ffff0000086f4edc>] __driver_attach+0xe4/0x130
[   10.430729] [<ffff0000086f242c>] bus_for_each_dev+0x5c/0xa8
[   10.436548] [<ffff0000086f4380>] driver_attach+0x30/0x40
[   10.442167] [<ffff0000086f3d20>] bus_add_driver+0x218/0x2b8
[   10.448003] [<ffff0000086f6154>] driver_register+0x6c/0x118
[   10.453839] [<ffff0000086f787c>] __platform_driver_register+0x54/0x60
[   10.460609] [<ffff000008f27894>] ghes_init+0xf0/0x204
[   10.465875] [<ffff000008083834>] do_one_initcall+0x44/0x138
[   10.471686] [<ffff000008ee0ff8>] kernel_init_freeable+0x22c/0x2cc
[   10.478093] [<ffff000008aa8d90>] kernel_init+0x18/0x110
[   10.483531] [<ffff000008083590>] ret_from_fork+0x10/0x40
[   10.489085] GHES: Failed to register IRQ for generic hardware error source: 3
[   10.496588] EDAC MC: Removed device 1 for ghes_edac.c ghes_edac: DEV ghes
[   10.503803] Unable to handle kernel read from unreadable memory at virtual address 00000000
[   10.512523] user pgtable: 4k pages, 48-bit VAs, pgd = ffff8003ebc60000
[   10.519333] [0000000000000000] *pgd=0000000000000000
[   10.524542] Internal error: Oops: 96000004 [#1] SMP
[   10.529652] Modules linked in:
[   10.532845] CPU: 1 PID: 1 Comm: swapper/0 Tainted: G        W       4.13.3-300.fc27.aarch64 #1
[   10.541851] Hardware name: AppliedMicro X-Gene Mustang Board/X-Gene Mustang Board, BIOS 3.06.25 Oct 17 2016
[   10.552041] task: ffff8003eb9fa700 task.stack: ffff8003eb9ec000
[   10.558249] PC is at __list_del_entry_valid+0x2c/0xa8
[   10.563536] LR is at ghes_edac_unregister+0x94/0xe8
[   10.568637] pc : [<ffff00000852673c>] lr : [<ffff00000888b03c>] pstate: 00400145
[   10.576364] sp : ffff8003eb9efb20
[   10.579831] x29: ffff8003eb9efb20 x28: ffff0000090c7df8 
[   10.585376] x27: 0000000000000007 x26: dead000000000100 
[   10.590981] x25: dead000000000200 x24: ffff8003e4380000 
[   10.596533] x23: ffff8003ebc63280 x22: ffff0000092451a0 
[   10.602077] x21: ffff8003e4380904 x20: ffff8003e4380904 
[   10.607672] x19: ffff0000092451a0 x18: 0000000000000000 
[   10.613259] x17: 0000000000000000 x16: 0000000000000000 
[   10.618846] x15: ffffffffffffffff x14: ffff8003e438091c 
[   10.624434] x13: ffff8003e438014f x12: 0000000000000018 
[   10.629994] x11: 0000000005f5e0ff x10: ffffff7fff7fffff 
[   10.635564] x9 : fefe7f02e3019187 x8 : 0000000000000000 
[   10.641151] x7 : ffff8003ebc6ce80 x6 : 00000000000004da 
[   10.646755] x5 : ffff8003eb9fa700 x4 : ffff8003ffefbd90 
[   10.652316] x3 : dead000000000200 x2 : 0000000000000000 
[   10.657868] x1 : 0000000000000000 x0 : ffff8003e4380904 
[   10.663456] Process swapper/0 (pid: 1, stack limit = 0xffff8003eb9ec000)
[   10.670475] Stack: (0xffff8003eb9efb20 to 0xffff8003eb9f0000)
[   10.676440] fb20: ffff8003eb9efb30 ffff00000888b03c ffff8003eb9efb80 ffff000008636770
[   10.684635] fb40: ffff8003ebc63280 ffff00000baf2068 ffff8003ebd3a010 00000000fffffff0
[   10.692855] fb60: ffff8003ebc63280 ffff00000baf207c ffff000008ee0520 ffff0000092e3000
[   10.701057] fb80: ffff8003eb9efbd0 ffff0000086f7940 00000000ffffffed ffff8003ebd3a010
[   10.709295] fba0: ffff0000091bfb48 ffff0000091bfb70 0000000000000000 0000000000000000
[   10.717507] fbc0: 0000000000000000 ffff8003ebd3a010 ffff8003eb9efc00 ffff0000086f4cbc
[   10.725744] fbe0: ffff8003ebd3a010 ffff00000a1aa000 0000000000000000 ffff0000091bfb70
[   10.733973] fc00: ffff8003eb9efc40 ffff0000086f4edc ffff8003ebd3a070 ffff8003ebd3a010
[   10.742202] fc20: ffff0000091bfb70 0000000000000000 ffff000009222000 ffff000008f7b098
[   10.750439] fc40: ffff8003eb9efc70 ffff0000086f242c 0000000000000000 ffff0000091bfb70
[   10.758616] fc60: ffff0000086f4df8 ffff000008a9ae78 ffff8003eb9efcb0 ffff0000086f4380
[   10.766810] fc80: ffff0000091bfb70 ffff8003e46bd400 ffff0000092227b0 0000000000000000
[   10.775022] fca0: ffff8003ebc2c930 ffff8003ebd97298 ffff8003eb9efcd0 ffff0000086f3d20
[   10.783216] fcc0: ffff0000091bfb70 0000000000000000 ffff8003eb9efd10 ffff0000086f6154
[   10.791410] fce0: ffff0000091bfb70 0000000000000000 ffff00000a1a2000 0000000000000002
[   10.799682] fd00: 00000000014000c0 0000000000000000 ffff8003eb9efd30 ffff0000086f787c
[   10.807850] fd20: ffff0000091bfb48 0000000000000000 ffff8003eb9efd50 ffff000008f27894
[   10.816087] fd40: ffff00000a1a2f10 0000000000000001 ffff8003eb9efd90 ffff000008083834
[   10.824273] fd60: ffff000008f277a4 0000000000000000 ffff8003eb9fa700 ffff000008f7b0a8
[   10.832476] fd80: ffff000008eccc10 ffff000008083834 ffff8003eb9efe00 ffff000008ee0ff8
[   10.840713] fda0: 0000000000000117 ffff0000092e3000 0000000000000006 ffff0000090c77f0
[   10.848942] fdc0: ffff00000929d700 ffff00000929d730 0000000000000000 0000000000000000
[   10.857145] fde0: 0000000600000006 ffff000008e15e28 ffff8003fffffdb0 0000000000000000
[   10.865330] fe00: ffff8003eb9efea0 ffff000008aa8d90 ffff000008aa8d78 0000000000000000
[   10.873516] fe20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.881710] fe40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.889895] fe60: 0000000000000001 0000000000000000 0000000000000000 0000000000000000
[   10.898089] fe80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.906266] fea0: 0000000000000000 ffff000008083590 ffff000008aa8d78 0000000000000000
[   10.914538] fec0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.922750] fee0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.930944] ff00: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.939103] ff20: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.947289] ff40: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.955534] ff60: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.963728] ff80: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.971966] ffa0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.980151] ffc0: 0000000000000000 0000000000000005 0000000000000000 0000000000000000
[   10.988371] ffe0: 0000000000000000 0000000000000000 0000000000000000 0000000000000000
[   10.996547] Call trace:
[   10.999107] Exception stack(0xffff8003eb9ef950 to 0xffff8003eb9efa80)
[   11.005884] f940:                                   ffff0000092451a0 0001000000000000
[   11.014105] f960: 00000040023e5000 ffff00000852673c ffff00000a0bf398 ffff000008527bec
[   11.022342] f980: ffff8003eb9ef9e0 ffff000008ab20ac 0000000000000140 ffff00000a0bf398
[   11.030563] f9a0: ffff000008527c64 ffff8003ebc6c500 0000000000041480 ffff00000a0bf398
[   11.038792] f9c0: ffff8003eb9ef9e0 ffff000008ab20b4 ffff8003eb9ef9e0 ffff000008ab20bc
[   11.046986] f9e0: ffff8003eb9efa10 ffff000008527c64 ffff8003e4380904 0000000000000000
[   11.055215] fa00: 0000000000000000 dead000000000200 ffff8003ffefbd90 ffff8003eb9fa700
[   11.063436] fa20: 00000000000004da ffff8003ebc6ce80 0000000000000000 fefe7f02e3019187
[   11.071630] fa40: ffffff7fff7fffff 0000000005f5e0ff 0000000000000018 ffff8003e438014f
[   11.079858] fa60: ffff8003e438091c ffffffffffffffff 0000000000000000 0000000000000000
[   11.088096] [<ffff00000852673c>] __list_del_entry_valid+0x2c/0xa8
[   11.094484] [<ffff00000888b03c>] ghes_edac_unregister+0x94/0xe8
[   11.100701] [<ffff000008636770>] ghes_probe+0x248/0x4b8
[   11.106157] [<ffff0000086f7940>] platform_drv_probe+0x60/0xc0
[   11.112217] [<ffff0000086f4cbc>] driver_probe_device+0x31c/0x458
[   11.118494] [<ffff0000086f4edc>] __driver_attach+0xe4/0x130
[   11.124312] [<ffff0000086f242c>] bus_for_each_dev+0x5c/0xa8
[   11.130104] [<ffff0000086f4380>] driver_attach+0x30/0x40
[   11.135680] [<ffff0000086f3d20>] bus_add_driver+0x218/0x2b8
[   11.141489] [<ffff0000086f6154>] driver_register+0x6c/0x118
[   11.147351] [<ffff0000086f787c>] __platform_driver_register+0x54/0x60
[   11.154128] [<ffff000008f27894>] ghes_init+0xf0/0x204
[   11.159445] [<ffff000008083834>] do_one_initcall+0x44/0x138
[   11.165272] [<ffff000008ee0ff8>] kernel_init_freeable+0x22c/0x2cc
[   11.171670] [<ffff000008aa8d90>] kernel_init+0x18/0x110
[   11.177150] [<ffff000008083590>] ret_from_fork+0x10/0x40
[   11.182710] Code: d2804003 f2fbd5a3 eb03003f 54000200 (f9400021) 
[   11.189107] ---[ end trace 5676e0702151c1d4 ]---
[   11.194011] Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[   11.194011] 
[   11.203541] SMP: stopping secondary CPUs
[   11.207703] Kernel Offset: disabled
[   11.211335] CPU features: 0x002000
[   11.214898] Memory Limit: none
[   11.218095] ---[ end Kernel panic - not syncing: Attempted to kill init! exitcode=0x0000000b
[   11.218095]

Comment 1 Paul Whalen 2017-10-03 14:09 UTC
Created attachment 1333733 [details]
kernel-4.13.3-acpi

Comment 2 Paul Whalen 2017-10-03 14:16:51 UTC
Test with "TianoCore 3.06.25"

Comment 3 Peter Robinson 2017-10-03 14:19:03 UTC
Iyappan: Can you take a look at this, looks like an issue between the mustang firmware and the ACPI APEI/GHES driver

Comment 4 Iyappan Subramanian 2017-10-05 19:25:31 UTC
(In reply to Peter Robinson from comment #3)
> Iyappan: Can you take a look at this, looks like an issue between the
> mustang firmware and the ACPI APEI/GHES driver

Peter,

The following patch from kernel 4.14 fixes the issue.
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/?id=bdb9458a3382ba745a66be5526d3899103c76eda

Comment 5 Fedora Update System 2017-10-13 12:53:15 UTC
kernel-4.13.6-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-74d659e9da

Comment 6 Fedora Update System 2017-10-13 12:58:45 UTC
kernel-4.13.6-100.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-521bb0d538

Comment 7 Fedora Update System 2017-10-13 22:23:26 UTC
kernel-4.13.6-100.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-521bb0d538

Comment 8 Fedora Update System 2017-10-13 22:24:09 UTC
kernel-4.13.6-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-74d659e9da

Comment 9 Fedora Update System 2017-10-13 23:23:55 UTC
kernel-4.13.6-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e1dc7351db

Comment 10 Fedora Update System 2017-10-18 22:20:00 UTC
kernel-4.13.8-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa9927961f

Comment 11 Fedora Update System 2017-10-18 22:21:35 UTC
kernel-4.13.8-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c110ac0eb1

Comment 12 Fedora Update System 2017-10-18 22:27:34 UTC
kernel-4.13.8-100.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cafcdbdde5

Comment 13 Fedora Update System 2017-10-19 15:23:42 UTC
kernel-4.13.8-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa9927961f

Comment 14 Fedora Update System 2017-10-19 19:53:06 UTC
kernel-4.13.8-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c110ac0eb1

Comment 15 Fedora Update System 2017-10-19 20:51:59 UTC
kernel-4.13.8-100.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cafcdbdde5

Comment 16 Fedora Update System 2017-10-24 05:28:01 UTC
kernel-4.13.8-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-10-25 21:19:56 UTC
kernel-4.13.8-100.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-10-25 23:13:02 UTC
kernel-4.13.8-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.